- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cpm_serial_port_config – Set Serial port parameters in WTI OOB and PDU devices

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Set Serial port parameters in WTI OOB and PDU devices

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
baud - | Choices: 0 1 2 3 4 5 6 7 8 9 10 | This is the baud rate to assign to the port. 0=300, 1=1200, 2=2400, 3=4800, 4=9600, 5=19200, 6=38400, 7=57600, 8=115200, 9=230400, 10=460800
break_allow - |  | This is if the break character is allowed to be passed through the port, 0=Off, 1=On
cmd - | Choices: 0 1 | This is the Admin Mode to assign to the port, 0=Deny, 1=Permit.
cpm_password - / required |  | This is the Password of the WTI device to send the module.
cpm_url - / required |  | This is the URL of the WTI device to send the module.
cpm_username - / required |  | This is the Username of the WTI device to send the module.
echo - |  | -This is the command echo parameter to assign to the port, 0=Off, 1=On
handshake - | Choices: 0 1 2 3 | This is the handshake to assign to the port, 0=None, 1=XON/XOFF, 2=RTS/CTS, 3=Both.
logoff - |  | This is the logout character to assign to the port If preceded by a ^ character, the sequence will be a control character. Used if seq is set to 0 or 1
mode - | Choices: 0 1 2 3 4 | This is the port mode to assign to the port, 0=Any-to-Any. 1=Passive, 2=Buffer, 3=Modem, 4=ModemPPP.
parity - | Choices: 0 1 2 3 4 5 | This is the parity to assign to the port, 0=7-None, 1=7-Even, 2=7-Odd, 3=8-None, 4=8-Even, 5=8-Odd.
port integer / required |  | This is the port number that is getting the action performed on.
portname - |  | This is the Name of the Port that is displayed.
seq - | Choices: 1 2 3 | This is the type of Sequence Disconnect to assign to the port, 0=Three Characters (before and after), 1=One Character Only, 2=Off
stopbits - | Choices: 0 1 | This is the stop bits to assign to the port, 0=1 Stop Bit, 1=2 Stop Bit.
tout - | Choices: 0 1 2 3 4 5 | This is the Port Activity Timeout to assign to the port, 0=Off, 1=5 Min, 2=15 Min, 3=30 Min, 4=90 Min, 5=1 Min.
use_https boolean | Choices: no yes ← | Designates to use an https connection or http connection.
use_proxy boolean | Choices: no ← yes | Flag to control if the lookup will observe HTTP proxy environment variables when present.
validate_certs boolean | Choices: no yes ← | If false, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Notes

Note

- Use `groups/cpm` in `module_defaults` to set common options used between CPM modules.

## Examples

    # Set Serial Port Parameters
    - name: Set the Port Parameters for port 2 of a WTI device
      cpm_serial_port_config:
        cpm_url: "nonexist.wti.com"
        cpm_username: "super"
        cpm_password: "super"
        use_https: true
        validate_certs: false
        port: "2"
        portname: "RouterLabel"
        baud: "7"
        handshake: "1"
        stopbits: "0"
        parity: "0"
        mode: "0"
        cmd: "0"
        seq: "1"
        tout: "1"
        echo: "0"
        break_allow: "0"
        logoff: "^H"

    # Set Serial Port Port Name and Baud Rate Parameters
    - name: Set New port name and baud rate (115k) for port 4 of a WTI device
      cpm_serial_port_config:
        cpm_url: "nonexist.wti.com"
        cpm_username: "super"
        cpm_password: "super"
        use_https: true
        validate_certs: false
        port: "4"
        portname: "NewPortName1"
        baud: "8"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data string | always | The output JSON returned from the commands sent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Western Telematic Inc. (@wtinetworkgear)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.